using System;
using System.Collections.Generic;
using System.Text;

namespace JelliesAPlenty
{
    class GameData
    {
        //GameData class constructor
        public GameData()
        {
        }//End New GameData()

        //Number of Lives
        private int mLives = 3;
        public int Lives
        {
            get
            {
                return mLives;
            }
            set
            {
                mLives = value;
            }
        }//End Lives Property
        
        //Current Level
        private int mLevel = 1;
        public int Level
        {
            get
            {
                return mLevel;
            }
            set
            {
                mLevel = value;
            }
        }//End Level Property
        
        //Current Score
        private int mScore = 0;
        public int Score
        {
            get
            {
                return mScore;
            }
            set
            {
                mScore = value;
            }
        }//End Score Property
                
        //Custom data for the game
        Dictionary<string, int> mCustomData = new Dictionary<string, int>();
        public Dictionary<string, int> CustomData
        {
            get
            {
                return mCustomData;
            }
            set
            {
                mCustomData = value;
            }
        }//End CustomData Property
    }//End Class GameData
}//End Namespace JelliesAPlenty
